Olympus Docs
ReferenceAPIsOry Hydra APIoAuth2

Revoke OAuth 2.0 Consent Sessions of a Subject

This endpoint revokes a subject's granted consent sessions and invalidates all

DELETE /admin/oauth2/auth/sessions/consent

This endpoint revokes a subject's granted consent sessions and invalidates all associated OAuth 2.0 Access Tokens. You may also only revoke sessions for a specific OAuth 2.0 Client ID.

Operation ID: revokeOAuth2ConsentSessions    Tag: oAuth2

Query parameters

NameTypeRequiredDescription
subjectstringyesOAuth 2.0 Consent Subject The subject whose consent sessions should be deleted.
clientstringnoOAuth 2.0 Client ID If set, deletes only those consent sessions that have been granted to the specified OAuth 2.0 Client ID.
allbooleannoRevoke All Consent Sessions If set to true deletes all consent sessions by the Subject that have been granted.

Responses

StatusDescriptionBody
204Empty responses are sent when, for example, resources are deleted. The HTTP status code for empty responses is typically 204.-
defaulterrorOAuth2application/json, object

Generated from ../athena/openapi.json at build time.

On this page